Attribute VB_Name = "modGlobal"
Option Explicit

'just to ensure "global visibility" of the "Cairo-Entry-Instance" throughout our Demoprojects Code-Modules
Public Property Get Cairo() As cCairo
Static StaticCairoInstance As cCairo

  If StaticCairoInstance Is Nothing Then
    Set StaticCairoInstance = New cCairo
  End If
  
  Set Cairo = StaticCairoInstance
End Property

'same thing here, only for the PhysicsEngine-Instance
Public Property Get PhEngine() As cPhysicsEngine
Static StaticPhEngineInstance As cPhysicsEngine

  If StaticPhEngineInstance Is Nothing Then
    Set StaticPhEngineInstance = New cPhysicsEngine
  End If
  
  Set PhEngine = StaticPhEngineInstance
End Property

